<?php defined('SYSPATH') || die('No direct script access.');

class Controller_Window extends Controller
{
    private $user;

    public function before() {
        $this->user = User::instance();
    }

    public function action_get() {
        $path = UTF8::str_ireplace(':', '/', $this->request->param('id'));
        $disciplineID =  $this->request->post('discipline');

        if (!Kohana::find_file('views/popup', $path, 'twig'))
            throw HTTP_Exception::factory(404, "Искомый шаблон $path не найден");

        $twig = Twig::factory('popup/' . $path)
            ->set('User', $this->user);

        if (isset($disciplineID)) {

            $teacher = Model_Teacher::with($this->user->TeacherID);
            $discipline = Model_Discipline::load($disciplineID);

            $similarDisciplines = $teacher->getSimilarDisciplines($discipline->SubjectID, null);
                $twig->set('Disciplines', $similarDisciplines);
        }

        // title, width, top, content
        $this->response->body(json_encode(explode('||', $twig->render())));
    }
}
